View Issue Details

IDProjectCategoryView StatusLast Update
0007491Talerwallet (Android App)public2022-11-22 18:32
ReporterChristian Grothoff Assigned Togrote  
PrioritynormalSeveritycrashReproducibilityhave not tried
Status assignedResolutionopen 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.9.1 
Summary0007491: Android app dead after trying to withdraw bitcoin
DescriptionAlso now hangs on trying to withdraw KUDOS. Logs and DB attached, there is a stackt race involving:

11-21 20:55:34.871 28835 28835 E AndroidRuntime: Process: net.taler.wallet, PID: 28835
11-21 20:55:34.871 28835 28835 E AndroidRuntime: android.os.DeadObjectException
11-21 20:55:34.871 28835 28835 E AndroidRuntime: at android.os.BinderProxy.transactNative(Native Method)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: at android.os.BinderProxy.transact(BinderProxy.java:584)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: at android.os.IMessenger$Stub$Proxy.send(IMessenger.java:118)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: at android.os.Messenger.send(Messenger.java:59)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: at net.taler.wallet.backend.WalletBackendApi.sendRequest(WalletBackendApi.kt:98)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: at net.taler.wallet.MainViewModel$loadBalances$1$invokeSuspend$$inlined$request$default$1.invokeSuspend(WalletBackendApi.kt:89)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: at kotlin.coroutines.jvm.internal.BaseContinuationImpl.resumeWith(ContinuationImpl.kt:9)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: at kotlinx.coroutines.DispatchedTask.run(DispatchedTask.kt:107)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: at kotlinx.coroutines.scheduling.CoroutineScheduler$Worker.run(CoroutineScheduler.kt:82)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: Suppressed: kotlinx.coroutines.DiagnosticCoroutineContextException: [StandaloneCoroutine{Cancelling}@d87413d, Dispatchers.Main.immediate]
TagsNo tags attached.

Activities

Christian Grothoff

2022-11-22 18:32

manager  

taler-wallet-log-1669137251109.txt (133,615 bytes)   
--------- beginning of crash
11-14 23:37:44.325 15832 27827 F libc    : Fatal signal 6 (SIGABRT), code -1 (SI_QUEUE) in tid 27827 (Thread-3), pid 15832 (tBackendService)
11-14 23:37:45.202 27835 27835 F DEBUG   : *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
11-14 23:37:45.202 27835 27835 F DEBUG   : Build fingerprint: 'google/sunfish/sunfish:13/TP1A.221005.002/9012097:user/release-keys'
11-14 23:37:45.202 27835 27835 F DEBUG   : Revision: 'MP1.0'
11-14 23:37:45.202 27835 27835 F DEBUG   : ABI: 'arm64'
11-14 23:37:45.202 27835 27835 F DEBUG   : Timestamp: 2022-11-14 23:37:44.475413481+0100
11-14 23:37:45.202 27835 27835 F DEBUG   : Process uptime: 44959s
11-14 23:37:45.202 27835 27835 F DEBUG   : Cmdline: net.taler.wallet:WalletBackendService
11-14 23:37:45.202 27835 27835 F DEBUG   : pid: 15832, tid: 27827, name: Thread-3  >>> net.taler.wallet:WalletBackendService <<<
11-14 23:37:45.202 27835 27835 F DEBUG   : uid: 10338
11-14 23:37:45.202 27835 27835 F DEBUG   : signal 6 (SIGABRT), code -1 (SI_QUEUE), fault addr --------
11-14 23:37:45.202 27835 27835 F DEBUG   :     x0  0000000000000000  x1  0000000000006cb3  x2  0000000000000006  x3  000000746d23b390
11-14 23:37:45.202 27835 27835 F DEBUG   :     x4  000000746d23b178  x5  000000746d23b178  x6  000000746d23b178  x7  0000000000000030
11-14 23:37:45.202 27835 27835 F DEBUG   :     x8  00000000000000f0  x9  00000077b8834a00  x10 0000000000000001  x11 00000077b8872ce4
11-14 23:37:45.202 27835 27835 F DEBUG   :     x12 000000000000b908  x13 0000000000000002  x14 0000000000000010  x15 00000077b8838662
11-14 23:37:45.202 27835 27835 F DEBUG   :     x16 00000077b88d7d60  x17 00000077b88b4b70  x18 000000746c67c000  x19 0000000000003dd8
11-14 23:37:45.202 27835 27835 F DEBUG   :     x20 0000000000006cb3  x21 00000000ffffffff  x22 b40000770e2e62f9  x23 0000007495f96078
11-14 23:37:45.202 27835 27835 F DEBUG   :     x24 000000750b600880  x25 000000746d23b6b0  x26 000000746d23c000  x27 000000746d23b6b0
11-14 23:37:45.202 27835 27835 F DEBUG   :     x28 000000746d23b5b0  x29 000000746d23b410
11-14 23:37:45.202 27835 27835 F DEBUG   :     lr  00000077b8864868  sp  000000746d23b370  pc  00000077b8864894  pst 0000000000000000
11-14 23:37:45.202 27835 27835 F DEBUG   : backtrace:
11-14 23:37:45.202 27835 27835 F DEBUG   :       #00 pc 0000000000051894  /apex/com.android.runtime/lib64/bionic/libc.so (abort+164) (BuildId: 058e3ec96fa600fb840a6a6956c6b64e)
11-14 23:37:45.202 27835 27835 F DEBUG   :       #01 pc 0000000000222e9c  /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!libnode.so (node::Abort()+40)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: FATAL EXCEPTION: main
11-21 20:55:34.871 28835 28835 E AndroidRuntime: Process: net.taler.wallet, PID: 28835
11-21 20:55:34.871 28835 28835 E AndroidRuntime: android.os.DeadObjectException
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at android.os.BinderProxy.transactNative(Native Method)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at android.os.BinderProxy.transact(BinderProxy.java:584)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at android.os.IMessenger$Stub$Proxy.send(IMessenger.java:118)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at android.os.Messenger.send(Messenger.java:59)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at net.taler.wallet.backend.WalletBackendApi.sendRequest(WalletBackendApi.kt:98)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at net.taler.wallet.MainViewModel$loadBalances$1$invokeSuspend$$inlined$request$default$1.invokeSuspend(WalletBackendApi.kt:89)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at kotlin.coroutines.jvm.internal.BaseContinuationImpl.resumeWith(ContinuationImpl.kt:9)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at kotlinx.coroutines.DispatchedTask.run(DispatchedTask.kt:107)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at kotlinx.coroutines.scheduling.CoroutineScheduler$Worker.run(CoroutineScheduler.kt:82)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	Suppressed: kotlinx.coroutines.DiagnosticCoroutineContextException: [StandaloneCoroutine{Cancelling}@d87413d, Dispatchers.Main.immediate]
11-21 20:55:36.060  4305  4412 F libc    : Fatal signal 6 (SIGABRT), code -1 (SI_QUEUE) in tid 4412 (Thread-3), pid 4305 (tBackendService)
11-21 20:55:36.808  4419  4419 F DEBUG   : *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
11-21 20:55:36.808  4419  4419 F DEBUG   : Build fingerprint: 'google/sunfish/sunfish:13/TP1A.221005.002/9012097:user/release-keys'
11-21 20:55:36.808  4419  4419 F DEBUG   : Revision: 'MP1.0'
11-21 20:55:36.808  4419  4419 F DEBUG   : ABI: 'arm64'
11-21 20:55:36.808  4419  4419 F DEBUG   : Timestamp: 2022-11-21 20:55:36.219711743+0100
11-21 20:55:36.808  4419  4419 F DEBUG   : Process uptime: 93s
11-21 20:55:36.808  4419  4419 F DEBUG   : Cmdline: net.taler.wallet:WalletBackendService
11-21 20:55:36.808  4419  4419 F DEBUG   : pid: 4305, tid: 4412, name: Thread-3  >>> net.taler.wallet:WalletBackendService <<<
11-21 20:55:36.808  4419  4419 F DEBUG   : uid: 10338
11-21 20:55:36.808  4419  4419 F DEBUG   : signal 6 (SIGABRT), code -1 (SI_QUEUE), fault addr --------
11-21 20:55:36.808  4419  4419 F DEBUG   :     x0  0000000000000000  x1  000000000000113c  x2  0000000000000006  x3  000000747687b690
11-21 20:55:36.808  4419  4419 F DEBUG   :     x4  000000747687b478  x5  000000747687b478  x6  000000747687b478  x7  0000000000000030
11-21 20:55:36.808  4419  4419 F DEBUG   :     x8  00000000000000f0  x9  00000077b8834a00  x10 0000000000000001  x11 00000077b8872ce4
11-21 20:55:36.808  4419  4419 F DEBUG   :     x12 00000000000063d9  x13 0000000000000002  x14 0000000000000010  x15 00000077b8838662
11-21 20:55:36.808  4419  4419 F DEBUG   :     x16 00000077b88d7d60  x17 00000077b88b4b70  x18 0000007470bdc000  x19 00000000000010d1
11-21 20:55:36.808  4419  4419 F DEBUG   :     x20 000000000000113c  x21 00000000ffffffff  x22 b40000770e226239  x23 0000007491acc078
11-21 20:55:36.808  4419  4419 F DEBUG   :     x24 000000009d966268  x25 0000000012cc2bd8  x26 000000747687c000  x27 0000000000000000
11-21 20:55:36.808  4419  4419 F DEBUG   :     x28 000000747687c000  x29 000000747687b710
11-21 20:55:36.808  4419  4419 F DEBUG   :     lr  00000077b8864868  sp  000000747687b670  pc  00000077b8864894  pst 0000000000000000
11-21 20:55:36.808  4419  4419 F DEBUG   : backtrace:
11-21 20:55:36.808  4419  4419 F DEBUG   :       #00 pc 0000000000051894  /apex/com.android.runtime/lib64/bionic/libc.so (abort+164) (BuildId: 058e3ec96fa600fb840a6a6956c6b64e)
11-21 20:55:36.808  4419  4419 F DEBUG   :       #01 pc 0000000000222e9c  /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!libnode.so (node::Abort()+40)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: FATAL EXCEPTION: main
11-21 20:55:42.731  4389  4389 E AndroidRuntime: Process: net.taler.wallet, PID: 4389
11-21 20:55:42.731  4389  4389 E AndroidRuntime: java.lang.AssertionError: Wallet core failed to return exchanges! 0 () kotlinx.serialization.MissingFieldException: Field 'currency' is required for type with serial name 'net.taler.wallet.exchanges.ExchangeItem', but it was missing at path: $.exchanges[0] at path: $.exchanges[0] at path: $.exchanges[0]
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1$1.invoke(ExchangeManager.kt:4)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1$1.invoke(ExchangeManager.kt:1)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at net.taler.wallet.backend.WalletResponse.onError(WalletResponse.kt:17)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1.invokeSuspend(ExchangeManager.kt:62)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at kotlin.coroutines.jvm.internal.BaseContinuationImpl.resumeWith(ContinuationImpl.kt:9)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at kotlinx.coroutines.DispatchedTask.run(DispatchedTask.kt:107)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at android.os.Handler.handleCallback(Handler.java:942)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at android.os.Handler.dispatchMessage(Handler.java:99)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at android.os.Looper.loopOnce(Looper.java:201)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at android.os.Looper.loop(Looper.java:288)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at android.app.ActivityThread.main(ActivityThread.java:7898)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at java.lang.reflect.Method.invoke(Native Method)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:936)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	Suppressed: kotlinx.coroutines.DiagnosticCoroutineContextException: [StandaloneCoroutine{Cancelling}@f199842, Dispatchers.Main.immediate]
11-21 20:55:47.869  4428  4497 F libc    : Fatal signal 6 (SIGABRT), code -1 (SI_QUEUE) in tid 4497 (Thread-3), pid 4428 (tBackendService)
11-21 20:55:48.204  4503  4503 F DEBUG   : *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
11-21 20:55:48.204  4503  4503 F DEBUG   : Build fingerprint: 'google/sunfish/sunfish:13/TP1A.221005.002/9012097:user/release-keys'
11-21 20:55:48.204  4503  4503 F DEBUG   : Revision: 'MP1.0'
11-21 20:55:48.204  4503  4503 F DEBUG   : ABI: 'arm64'
11-21 20:55:48.204  4503  4503 F DEBUG   : Timestamp: 2022-11-21 20:55:47.963112497+0100
11-21 20:55:48.204  4503  4503 F DEBUG   : Process uptime: 11s
11-21 20:55:48.204  4503  4503 F DEBUG   : Cmdline: net.taler.wallet:WalletBackendService
11-21 20:55:48.204  4503  4503 F DEBUG   : pid: 4428, tid: 4497, name: Thread-3  >>> net.taler.wallet:WalletBackendService <<<
11-21 20:55:48.204  4503  4503 F DEBUG   : uid: 10338
11-21 20:55:48.204  4503  4503 F DEBUG   : signal 6 (SIGABRT), code -1 (SI_QUEUE), fault addr --------
11-21 20:55:48.204  4503  4503 F DEBUG   :     x0  0000000000000000  x1  0000000000001191  x2  0000000000000006  x3  00000074f5c33690
11-21 20:55:48.204  4503  4503 F DEBUG   :     x4  00000074f5c33478  x5  00000074f5c33478  x6  00000074f5c33478  x7  0000000000000030
11-21 20:55:48.204  4503  4503 F DEBUG   :     x8  00000000000000f0  x9  00000077b8834a00  x10 0000000000000001  x11 00000077b8872ce4
11-21 20:55:48.204  4503  4503 F DEBUG   :     x12 00000000000076c7  x13 0000000000000002  x14 0000000000000010  x15 00000077b8838662
11-21 20:55:48.204  4503  4503 F DEBUG   :     x16 00000077b88d7d60  x17 00000077b88b4b70  x18 00000074f5390000  x19 000000000000114c
11-21 20:55:48.204  4503  4503 F DEBUG   :     x20 0000000000001191  x21 00000000ffffffff  x22 b40000770e246259  x23 00000074951ba078
11-21 20:55:48.204  4503  4503 F DEBUG   :     x24 000000009d966268  x25 0000000012c35df8  x26 00000074f5c34000  x27 0000000000000000
11-21 20:55:48.204  4503  4503 F DEBUG   :     x28 00000074f5c34000  x29 00000074f5c33710
11-21 20:55:48.204  4503  4503 F DEBUG   :     lr  00000077b8864868  sp  00000074f5c33670  pc  00000077b8864894  pst 0000000000000000
11-21 20:55:48.204  4503  4503 F DEBUG   : backtrace:
11-21 20:55:48.204  4503  4503 F DEBUG   :       #00 pc 0000000000051894  /apex/com.android.runtime/lib64/bionic/libc.so (abort+164) (BuildId: 058e3ec96fa600fb840a6a6956c6b64e)
11-21 20:55:48.204  4503  4503 F DEBUG   :       #01 pc 0000000000222e9c  /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!libnode.so (node::Abort()+40)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: FATAL EXCEPTION: main
11-21 20:55:53.285  4475  4475 E AndroidRuntime: Process: net.taler.wallet, PID: 4475
11-21 20:55:53.285  4475  4475 E AndroidRuntime: java.lang.AssertionError: Wallet core failed to return exchanges! 0 () kotlinx.serialization.MissingFieldException: Field 'currency' is required for type with serial name 'net.taler.wallet.exchanges.ExchangeItem', but it was missing at path: $.exchanges[0] at path: $.exchanges[0] at path: $.exchanges[0]
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1$1.invoke(ExchangeManager.kt:4)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1$1.invoke(ExchangeManager.kt:1)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at net.taler.wallet.backend.WalletResponse.onError(WalletResponse.kt:17)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1.invokeSuspend(ExchangeManager.kt:62)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at kotlin.coroutines.jvm.internal.BaseContinuationImpl.resumeWith(ContinuationImpl.kt:9)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at kotlinx.coroutines.DispatchedTask.run(DispatchedTask.kt:107)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at android.os.Handler.handleCallback(Handler.java:942)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at android.os.Handler.dispatchMessage(Handler.java:99)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at android.os.Looper.loopOnce(Looper.java:201)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at android.os.Looper.loop(Looper.java:288)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at android.app.ActivityThread.main(ActivityThread.java:7898)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at java.lang.reflect.Method.invoke(Native Method)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:936)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	Suppressed: kotlinx.coroutines.DiagnosticCoroutineContextException: [StandaloneCoroutine{Cancelling}@f199842, Dispatchers.Main.immediate]
11-21 20:56:00.417  4515  4586 F libc    : Fatal signal 6 (SIGABRT), code -1 (SI_QUEUE) in tid 4586 (Thread-3), pid 4515 (tBackendService)
11-21 20:56:00.689  4592  4592 F DEBUG   : *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
11-21 20:56:00.689  4592  4592 F DEBUG   : Build fingerprint: 'google/sunfish/sunfish:13/TP1A.221005.002/9012097:user/release-keys'
11-21 20:56:00.689  4592  4592 F DEBUG   : Revision: 'MP1.0'
11-21 20:56:00.689  4592  4592 F DEBUG   : ABI: 'arm64'
11-21 20:56:00.689  4592  4592 F DEBUG   : Timestamp: 2022-11-21 20:56:00.486369734+0100
11-21 20:56:00.689  4592  4592 F DEBUG   : Process uptime: 12s
11-21 20:56:00.689  4592  4592 F DEBUG   : Cmdline: net.taler.wallet:WalletBackendService
11-21 20:56:00.689  4592  4592 F DEBUG   : pid: 4515, tid: 4586, name: Thread-3  >>> net.taler.wallet:WalletBackendService <<<
11-21 20:56:00.689  4592  4592 F DEBUG   : uid: 10338
11-21 20:56:00.689  4592  4592 F DEBUG   : signal 6 (SIGABRT), code -1 (SI_QUEUE), fault addr --------
11-21 20:56:00.689  4592  4592 F DEBUG   :     x0  0000000000000000  x1  00000000000011ea  x2  0000000000000006  x3  00000074f807b690
11-21 20:56:00.689  4592  4592 F DEBUG   :     x4  00000074f807b478  x5  00000074f807b478  x6  00000074f807b478  x7  0000000000000030
11-21 20:56:00.689  4592  4592 F DEBUG   :     x8  00000000000000f0  x9  00000077b8834a00  x10 0000000000000001  x11 00000077b8872ce4
11-21 20:56:00.689  4592  4592 F DEBUG   :     x12 000000000000039d  x13 0000000000000002  x14 0000000000000010  x15 00000077b8838662
11-21 20:56:00.689  4592  4592 F DEBUG   :     x16 00000077b88d7d60  x17 00000077b88b4b70  x18 00000074f74b0000  x19 00000000000011a3
11-21 20:56:00.689  4592  4592 F DEBUG   :     x20 00000000000011ea  x21 00000000ffffffff  x22 b40000770e276289  x23 000000748faa3078
11-21 20:56:00.689  4592  4592 F DEBUG   :     x24 000000009d966268  x25 0000000012c82a48  x26 00000074f807c000  x27 0000000000000000
11-21 20:56:00.689  4592  4592 F DEBUG   :     x28 00000074f807c000  x29 00000074f807b710
11-21 20:56:00.689  4592  4592 F DEBUG   :     lr  00000077b8864868  sp  00000074f807b670  pc  00000077b8864894  pst 0000000000000000
11-21 20:56:00.689  4592  4592 F DEBUG   : backtrace:
11-21 20:56:00.689  4592  4592 F DEBUG   :       #00 pc 0000000000051894  /apex/com.android.runtime/lib64/bionic/libc.so (abort+164) (BuildId: 058e3ec96fa600fb840a6a6956c6b64e)
11-21 20:56:00.689  4592  4592 F DEBUG   :       #01 pc 0000000000222e9c  /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!libnode.so (node::Abort()+40)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: FATAL EXCEPTION: main
11-21 20:56:03.551  4559  4559 E AndroidRuntime: Process: net.taler.wallet, PID: 4559
11-21 20:56:03.551  4559  4559 E AndroidRuntime: java.lang.AssertionError: Wallet core failed to return exchanges! 0 () kotlinx.serialization.MissingFieldException: Field 'currency' is required for type with serial name 'net.taler.wallet.exchanges.ExchangeItem', but it was missing at path: $.exchanges[0] at path: $.exchanges[0] at path: $.exchanges[0]
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1$1.invoke(ExchangeManager.kt:4)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1$1.invoke(ExchangeManager.kt:1)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at net.taler.wallet.backend.WalletResponse.onError(WalletResponse.kt:17)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1.invokeSuspend(ExchangeManager.kt:62)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at kotlin.coroutines.jvm.internal.BaseContinuationImpl.resumeWith(ContinuationImpl.kt:9)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at kotlinx.coroutines.DispatchedTask.run(DispatchedTask.kt:107)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at android.os.Handler.handleCallback(Handler.java:942)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at android.os.Handler.dispatchMessage(Handler.java:99)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at android.os.Looper.loopOnce(Looper.java:201)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at android.os.Looper.loop(Looper.java:288)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at android.app.ActivityThread.main(ActivityThread.java:7898)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at java.lang.reflect.Method.invoke(Native Method)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:936)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	Suppressed: kotlinx.coroutines.DiagnosticCoroutineContextException: [StandaloneCoroutine{Cancelling}@b7c53a5, Dispatchers.Main.immediate]
11-21 20:56:26.313  4605  4742 F libc    : Fatal signal 6 (SIGABRT), code -1 (SI_QUEUE) in tid 4742 (Thread-3), pid 4605 (tBackendService)
11-21 20:56:26.772  4749  4749 F DEBUG   : *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
11-21 20:56:26.773  4749  4749 F DEBUG   : Build fingerprint: 'google/sunfish/sunfish:13/TP1A.221005.002/9012097:user/release-keys'
11-21 20:56:26.773  4749  4749 F DEBUG   : Revision: 'MP1.0'
11-21 20:56:26.773  4749  4749 F DEBUG   : ABI: 'arm64'
11-21 20:56:26.773  4749  4749 F DEBUG   : Timestamp: 2022-11-21 20:56:26.425431953+0100
11-21 20:56:26.773  4749  4749 F DEBUG   : Process uptime: 26s
11-21 20:56:26.773  4749  4749 F DEBUG   : Cmdline: net.taler.wallet:WalletBackendService
11-21 20:56:26.773  4749  4749 F DEBUG   : pid: 4605, tid: 4742, name: Thread-3  >>> net.taler.wallet:WalletBackendService <<<
11-21 20:56:26.773  4749  4749 F DEBUG   : uid: 10338
11-21 20:56:26.773  4749  4749 F DEBUG   : signal 6 (SIGABRT), code -1 (SI_QUEUE), fault addr --------
11-21 20:56:26.773  4749  4749 F DEBUG   :     x0  0000000000000000  x1  0000000000001286  x2  0000000000000006  x3  00000074f803b690
11-21 20:56:26.773  4749  4749 F DEBUG   :     x4  00000074f803b478  x5  00000074f803b478  x6  00000074f803b478  x7  0000000000000030
11-21 20:56:26.773  4749  4749 F DEBUG   :     x8  00000000000000f0  x9  00000077b8834a00  x10 0000000000000001  x11 00000077b8872ce4
11-21 20:56:26.773  4749  4749 F DEBUG   :     x12 000000000000d386  x13 0000000000000002  x14 0000000000000010  x15 00000077b8838662
11-21 20:56:26.773  4749  4749 F DEBUG   :     x16 00000077b88d7d60  x17 00000077b88b4b70  x18 00000074f73ba000  x19 00000000000011fd
11-21 20:56:26.773  4749  4749 F DEBUG   :     x20 0000000000001286  x21 00000000ffffffff  x22 b40000770e2962a9  x23 0000007493d99078
11-21 20:56:26.773  4749  4749 F DEBUG   :     x24 000000009d966268  x25 0000000012cc2a48  x26 00000074f803c000  x27 0000000000000000
11-21 20:56:26.773  4749  4749 F DEBUG   :     x28 00000074f803c000  x29 00000074f803b710
11-21 20:56:26.773  4749  4749 F DEBUG   :     lr  00000077b8864868  sp  00000074f803b670  pc  00000077b8864894  pst 0000000000000000
11-21 20:56:26.773  4749  4749 F DEBUG   : backtrace:
11-21 20:56:26.773  4749  4749 F DEBUG   :       #00 pc 0000000000051894  /apex/com.android.runtime/lib64/bionic/libc.so (abort+164) (BuildId: 058e3ec96fa600fb840a6a6956c6b64e)
11-21 20:56:26.773  4749  4749 F DEBUG   :       #01 pc 0000000000222e9c  /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!libnode.so (node::Abort()+40)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: FATAL EXCEPTION: main
11-21 20:56:47.799  4715  4715 E AndroidRuntime: Process: net.taler.wallet, PID: 4715
11-21 20:56:47.799  4715  4715 E AndroidRuntime: java.lang.AssertionError: Wallet core failed to return exchanges! 0 () kotlinx.serialization.MissingFieldException: Field 'currency' is required for type with serial name 'net.taler.wallet.exchanges.ExchangeItem', but it was missing at path: $.exchanges[0] at path: $.exchanges[0] at path: $.exchanges[0]
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1$1.invoke(ExchangeManager.kt:4)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1$1.invoke(ExchangeManager.kt:1)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	at net.taler.wallet.backend.WalletResponse.onError(WalletResponse.kt:17)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1.invokeSuspend(ExchangeManager.kt:62)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	at kotlin.coroutines.jvm.internal.BaseContinuationImpl.resumeWith(ContinuationImpl.kt:9)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	at kotlinx.coroutines.DispatchedTask.run(DispatchedTask.kt:107)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	at android.os.Handler.handleCallback(Handler.java:942)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	at android.os.Handler.dispatchMessage(Handler.java:99)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	at android.os.Looper.loopOnce(Looper.java:201)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	at android.os.Looper.loop(Looper.java:288)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	at android.app.ActivityThread.main(ActivityThread.java:7898)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	at java.lang.reflect.Method.invoke(Native Method)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:936)
11-21 20:56:47.799  4715  4715 E AndroidRuntime: 	Suppressed: kotlinx.coroutines.DiagnosticCoroutineContextException: [StandaloneCoroutine{Cancelling}@40336a9, Dispatchers.Main.immediate]
11-21 21:02:24.036  4761  5287 F libc    : Fatal signal 6 (SIGABRT), code -1 (SI_QUEUE) in tid 5287 (Thread-3), pid 4761 (tBackendService)
11-21 21:02:24.246  5294  5294 F DEBUG   : *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
11-21 21:02:24.246  5294  5294 F DEBUG   : Build fingerprint: 'google/sunfish/sunfish:13/TP1A.221005.002/9012097:user/release-keys'
11-21 21:02:24.246  5294  5294 F DEBUG   : Revision: 'MP1.0'
11-21 21:02:24.246  5294  5294 F DEBUG   : ABI: 'arm64'
11-21 21:02:24.246  5294  5294 F DEBUG   : Timestamp: 2022-11-21 21:02:24.118255260+0100
11-21 21:02:24.246  5294  5294 F DEBUG   : Process uptime: 357s
11-21 21:02:24.246  5294  5294 F DEBUG   : Cmdline: net.taler.wallet:WalletBackendService
11-21 21:02:24.246  5294  5294 F DEBUG   : pid: 4761, tid: 5287, name: Thread-3  >>> net.taler.wallet:WalletBackendService <<<
11-21 21:02:24.246  5294  5294 F DEBUG   : uid: 10338
11-21 21:02:24.246  5294  5294 F DEBUG   : signal 6 (SIGABRT), code -1 (SI_QUEUE), fault addr --------
11-21 21:02:24.246  5294  5294 F DEBUG   :     x0  0000000000000000  x1  00000000000014a7  x2  0000000000000006  x3  0000007477d3b690
11-21 21:02:24.246  5294  5294 F DEBUG   :     x4  0000007477d3b478  x5  0000007477d3b478  x6  0000007477d3b478  x7  0000000000000030
11-21 21:02:24.246  5294  5294 F DEBUG   :     x8  00000000000000f0  x9  00000077b8834a00  x10 0000000000000001  x11 00000077b8872ce4
11-21 21:02:24.246  5294  5294 F DEBUG   :     x12 0000000000002e2b  x13 0000000000000002  x14 0000000000000010  x15 00000077b8838662
11-21 21:02:24.246  5294  5294 F DEBUG   :     x16 00000077b88d7d60  x17 00000077b88b4b70  x18 0000007471d78000  x19 0000000000001299
11-21 21:02:24.246  5294  5294 F DEBUG   :     x20 00000000000014a7  x21 00000000ffffffff  x22 b40000770e2962a9  x23 0000007490431078
11-21 21:02:24.246  5294  5294 F DEBUG   :     x24 000000009d966268  x25 0000000012cc2a48  x26 0000007477d3c000  x27 0000000000000000
11-21 21:02:24.246  5294  5294 F DEBUG   :     x28 0000007477d3c000  x29 0000007477d3b710
11-21 21:02:24.246  5294  5294 F DEBUG   :     lr  00000077b8864868  sp  0000007477d3b670  pc  00000077b8864894  pst 0000000000000000
11-21 21:02:24.246  5294  5294 F DEBUG   : backtrace:
11-21 21:02:24.246  5294  5294 F DEBUG   :       #00 pc 0000000000051894  /apex/com.android.runtime/lib64/bionic/libc.so (abort+164) (BuildId: 058e3ec96fa600fb840a6a6956c6b64e)
11-21 21:02:24.246  5294  5294 F DEBUG   :       #01 pc 0000000000222e9c  /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!libnode.so (node::Abort()+40)
--------- beginning of main
11-22 18:12:09.964  5264  5264 I DecodeHintManager: Hints from the Intent: {}
11-22 18:12:09.967  5264  5264 D CameraPreview: resume()
11-22 18:12:09.968  5264 10790 D CameraInstance: Opening camera
11-22 18:12:09.987  5264  5264 E SurfaceSyncer: Failed to find sync for id=0
11-22 18:12:09.991  5264  5281 W Parcel  : Expecting binder but got null!
11-22 18:12:10.012  5264  5264 E SurfaceSyncer: Failed to find sync for id=0
11-22 18:12:10.106  5264 10790 D CameraInstance: Configuring camera
11-22 18:12:10.106  5264 10790 I CameraManager: Camera Display Orientation: 90
11-22 18:12:10.107  5264 10790 I CameraManager: Initial camera parameters: preview-size=1920x1080;video-size=1920x1080;preferred-preview-size-for-video=1920x1080;preview-size-values=2560x1280,2048x1536,1920x1440,1920x1080,1920x960,1600x1200,1440x1080,1280x960,1280x720,1024x768,800x600,720x480,640x480,640x360,352x288,320x240,176x144;video-size-values=4000x2000,3840x2160,3264x2448,3264x1836,3200x2400,2688x1512,2592x1944,2560x1280,2048x1536,1920x1440,1920x1080,1920x960,1600x1200,1440x1080,1280x960,1280x720,1024x768,800x600,720x480,640x480,640x360,352x288,320x240,176x144;preview-format=yuv420sp;preview-format-values=yuv420p,yuv420sp,;preview-frame-rate=30;preview-fps-range=15000,30000;preview-fps-range-values=(15000,15000),(15000,30000),(30000,30000);preview-frame-rate-values=15,30;picture-size=4032x3024;picture-size-values=4032x3024,4032x2268,4000x3000,4000x2000,3840x2160,3264x2448,3264x1836,3200x2400,2688x1512,2592x1944,2560x1280,2048x1536,1920x1440,1920x1080,1920x960,1600x1200,1440x1080,1280x960,1280x720,1024x768,800x600,720x480,640x480,640x360,352x288,320x240,176x144;picture-format=jpeg;picture-format-values=jpeg;jpeg-thumbnail-width=320;jpeg-thumbnail-height=240;jpeg-thumbnail-size-values=0x0,176x144,240x144,256x144,240x160,256x154,246x184,240x240,320x240;jpeg-thumbnail-quality=90;jpeg-quality=90;rotation=0;whitebalance=auto;whitebalance-values=auto,incandescent,fluorescent,warm-fluorescent,daylight,cloudy-daylight,twilight,shade,;effect=none;effect-values=none;antibanding=auto;antibanding-values=off,50hz,60hz,auto;flash-mode=off;flash-mode-values=off,auto,on,torch,red-eye;focus-mode=auto;focus-mode-values=infinity,auto,macro,continuous-video,continuous-picture;max-num-focus-areas=1;focus-areas=(0,0,0,0,0);focal-length=4.38;horizontal-view-angle=65.5941;vertical-view-angle=51.5878;exposure-compensation=0;max-exposure-compensation=24;min-exposure-compensation=-24;exposure-compensation-step=0.166667;auto-exposure-lock=false;auto-exposure-lock-supported=true;auto-whitebalance-lock=false;auto-whitebalance-lock-supported=true;max-num-metering-areas=1;metering-areas=(0,0,0,0,0);zoom=0;zoom-ratios=100,106,112,118,124,130,136,142,148,154,160,166,172,178,184,190,196,203,209,215,221,227,233,239,245,251,257,263,269,275,281,287,293,299,306,312,318,324,330,336,342,348,354,360,366,372,378,384,390,396,403,409,415,421,427,433,439,445,451,457,463,469,475,481,487,493,499,506,512,518,524,530,536,542,548,554,560,566,572,578,584,590,596,603,609,615,621,627,633,639,645,651,657,663,669,675,681,687,693,699;zoom-supported=true;max-zoom=99;smooth-zoom-supported=false;focus-distances=Infinity,Infinity,Infinity;max-num-detected-faces-hw=10;max-num-detected-faces-sw=0;video-frame-format=android-opaque;recording-hint=false;video-snapshot-supported=true;video-stabilization=false;video-stabilization-supported=true
11-22 18:12:10.107  5264 10790 I CameraConfiguration: Requesting focus mode value from among: [auto]
11-22 18:12:10.107  5264 10790 I CameraConfiguration: Supported focus mode values: [infinity, auto, macro, continuous-video, continuous-picture]
11-22 18:12:10.107  5264 10790 I CameraConfiguration: Can set focus mode to: auto
11-22 18:12:10.107  5264 10790 I CameraConfiguration: Focus mode already set to auto
11-22 18:12:10.107  5264 10790 I CameraConfiguration: Requesting flash mode value from among: [off]
11-22 18:12:10.107  5264 10790 I CameraConfiguration: Supported flash mode values: [off, auto, on, torch, red-eye]
11-22 18:12:10.107  5264 10790 I CameraConfiguration: Can set flash mode to: off
11-22 18:12:10.107  5264 10790 I CameraConfiguration: Flash mode already set to off
11-22 18:12:10.108  5264 10790 I PreviewScalingStrategy: Viewfinder size: 2138x1080
11-22 18:12:10.108  5264 10790 I PreviewScalingStrategy: Preview in order of preference: [1920x960, 2560x1280, 1920x1080, 2048x1536, 1920x1440, 1280x720, 1600x1200, 1440x1080, 1280x960, 1024x768, 640x360, 720x480, 800x600, 640x480, 320x240, 352x288, 176x144]
11-22 18:12:10.108  5264 10790 I CameraManager: Final camera parameters: video-size=1920x1080;preferred-preview-size-for-video=1920x1080;preview-size-values=2560x1280,2048x1536,1920x1440,1920x1080,1920x960,1600x1200,1440x1080,1280x960,1280x720,1024x768,800x600,720x480,640x480,640x360,352x288,320x240,176x144;video-size-values=4000x2000,3840x2160,3264x2448,3264x1836,3200x2400,2688x1512,2592x1944,2560x1280,2048x1536,1920x1440,1920x1080,1920x960,1600x1200,1440x1080,1280x960,1280x720,1024x768,800x600,720x480,640x480,640x360,352x288,320x240,176x144;preview-format=yuv420sp;preview-format-values=yuv420p,yuv420sp,;preview-frame-rate=30;preview-fps-range=15000,30000;preview-fps-range-values=(15000,15000),(15000,30000),(30000,30000);preview-frame-rate-values=15,30;picture-size=4032x3024;picture-size-values=4032x3024,4032x2268,4000x3000,4000x2000,3840x2160,3264x2448,3264x1836,3200x2400,2688x1512,2592x1944,2560x1280,2048x1536,1920x1440,1920x1080,1920x960,1600x1200,1440x1080,1280x960,1280x720,1024x768,800x600,720x480,640x480,640x360,352x288,320x240,176x144;picture-format=jpeg;picture-format-values=jpeg;jpeg-thumbnail-width=320;jpeg-thumbnail-height=240;jpeg-thumbnail-size-values=0x0,176x144,240x144,256x144,240x160,256x154,246x184,240x240,320x240;jpeg-thumbnail-quality=90;jpeg-quality=90;rotation=0;whitebalance=auto;whitebalance-values=auto,incandescent,fluorescent,warm-fluorescent,daylight,cloudy-daylight,twilight,shade,;effect=none;effect-values=none;antibanding=auto;antibanding-values=off,50hz,60hz,auto;flash-mode=off;flash-mode-values=off,auto,on,torch,red-eye;focus-mode=auto;focus-mode-values=infinity,auto,macro,continuous-video,continuous-picture;max-num-focus-areas=1;focus-areas=(0,0,0,0,0);focal-length=4.38;horizontal-view-angle=65.5941;vertical-view-angle=51.5878;exposure-compensation=0;max-exposure-compensation=24;min-exposure-compensation=-24;exposure-compensation-step=0.166667;auto-exposure-lock=false;auto-exposure-lock-supported=true;auto-whitebalance-lock=false;auto-whitebalance-lock-supported=true;max-num-metering-areas=1;metering-areas=(0,0,0,0,0);zoom=0;zoom-ratios=100,106,112,118,124,130,136,142,148,154,160,166,172,178,184,190,196,203,209,215,221,227,233,239,245,251,257,263,269,275,281,287,293,299,306,312,318,324,330,336,342,348,354,360,366,372,378,384,390,396,403,409,415,421,427,433,439,445,451,457,463,469,475,481,487,493,499,506,512,518,524,530,536,542,548,554,560,566,572,578,584,590,596,603,609,615,621,627,633,639,645,651,657,663,669,675,681,687,693,699;zoom-supported=true;max-zoom=99;smooth-zoom-supported=false;focus-distances=Infinity,Infinity,Infinity;max-num-detected-faces-hw=10;max-num-detected-faces-sw=0;video-frame-format=android-opaque;recording-hint=false;video-snapshot-supported=true;video-stabilization=false;video-stabilization-supported=true;preview-size=1920x960
11-22 18:12:10.109  5264  5264 I CenterCropStrategy: Preview: 960x1920; Scaled: 1080x2160; Want: 1080x2138
11-22 18:12:10.125  5264  5264 I CameraPreview: Starting preview
11-22 18:12:10.125  5264 10790 D CameraInstance: Starting preview
11-22 18:12:10.496  5264  5281 D OpenGLRenderer: endAllActiveAnimators on 0xb40000761e2d68a0 (RippleDrawable) with handle 0xb40000752e20f3c0
11-22 18:12:10.533  5264 10790 I AutoFocusManager: Current focus mode 'auto'; use auto focus? true
11-22 18:12:11.716  5264  5273 W et.taler.wallet: Reducing the number of considered missed Gc histogram windows from 586 to 100
11-22 18:12:12.150  5264 10805 D DecoderThread: Found barcode in 46 ms
11-22 18:12:12.151  5264  5264 D CameraPreview: pause()
11-22 18:12:12.151  5264 10790 D CameraInstance: Closing camera
11-22 18:12:12.332  5264  5264 D CameraInstance: Camera is closed, not requesting preview
11-22 18:12:12.363  5264  5264 D CameraPreview: pause()
11-22 18:12:12.368  5264  5264 D CameraPreview: pause()
11-22 18:12:12.387  5264  5264 D CompatibilityChangeReporter: Compat change id reported: 78294732; UID 10338; state: ENABLED
11-22 18:12:12.388  5264  5285 I WalletBackendApi: sending request for operation getBalances (153)
11-22 18:12:12.388 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:12:12.389 28117 28117 I taler-wallet-backend: mapping service request ID 92 to client request ID 153
11-22 18:12:12.403 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (92)
11-22 18:12:12.427  5264  5264 V taler-wallet: found action taler://withdraw/bank.demo.taler.net/demobanks/default/integration-api/3233e8bf-eeb6-4947-bf9a-1e1f488232df
11-22 18:12:12.427  5264  5264 V taler-wallet: navigating!
11-22 18:12:12.428  5264  5264 W OnBackInvokedCallback: OnBackInvokedCallback is not enabled for the application.
11-22 18:12:12.428  5264  5264 W OnBackInvokedCallback: Set 'android:enableOnBackInvokedCallback="true"' in the application manifest.
11-22 18:12:12.435  5264  5285 I WalletBackendApi: sending request for operation getWithdrawalDetailsForUri (154)
11-22 18:12:12.437 28117 28117 I taler-wallet-backend: got request for operation getWithdrawalDetailsForUri
11-22 18:12:12.438 28117 28117 I taler-wallet-backend: mapping service request ID 93 to client request ID 154
11-22 18:12:12.442 28117 28134 D akono-jni.cpp: native listener: got request for getWithdrawalDetailsForUri (93)
11-22 18:12:12.522 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (92)
11-22 18:12:12.523 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:12.523 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:12.523 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:12:12.523 28117 28133 V taler-wallet-backend:   "id": 92,
11-22 18:12:12.523 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:12.523 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:12:12.523 28117 28133 V taler-wallet-backend:       {
11-22 18:12:12.523 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:12:12.523 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:12:12.523 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:12:12.523 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:12.523 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:12.523 28117 28133 V taler-wallet-backend:       }
11-22 18:12:12.523 28117 28133 V taler-wallet-backend:     ]
11-22 18:12:12.523 28117 28133 V taler-wallet-backend:   }
11-22 18:12:12.523 28117 28133 V taler-wallet-backend: }
11-22 18:12:12.524  5264  5264 I WalletBackendApi: got reply for operation getBalances (153)
11-22 18:12:12.669 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:12.669Z operations/withdraw.ts INFO bank withdrawal status URL: https://bank.demo.taler.net/demobanks/default/integration-api/withdrawal-operation/3233e8bf-eeb6-4947-bf9a-1e1f488232df}
11-22 18:12:12.751 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:12.750Z operations/withdraw.ts INFO bank withdrawal operation status: {
11-22 18:12:12.751 28117 28134 D akono-jni.cpp:   "selection_done": false,
11-22 18:12:12.751 28117 28134 D akono-jni.cpp:   "transfer_done": false,
11-22 18:12:12.751 28117 28134 D akono-jni.cpp:   "aborted": false,
11-22 18:12:12.751 28117 28134 D akono-jni.cpp:   "amount": "KUDOS:5.00",
11-22 18:12:12.751 28117 28134 D akono-jni.cpp:   "suggested_exchange": "https://exchange.demo.taler.net/",
11-22 18:12:12.751 28117 28134 D akono-jni.cpp:   "confirm_transfer_url": "https://bank.demo.taler.net/webui",
11-22 18:12:12.751 28117 28134 D akono-jni.cpp:   "wire_types": [
11-22 18:12:12.751 28117 28134 D akono-jni.cpp:     "iban"
11-22 18:12:12.751 28117 28134 D akono-jni.cpp:   ]
11-22 18:12:12.751 28117 28134 D akono-jni.cpp: }
11-22 18:12:12.752 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:12.751Z exchanges.ts INFO updating exchange info for https://exchange.demo.taler.net/, forced: false
11-22 18:12:12.798  5264  5264 V MediaPlayer: resetDrmState:  mDrmInfo=null mDrmProvisioningThread=null mPrepareDrmInProgress=false mActiveDrmScheme=false
11-22 18:12:12.798  5264  5264 V MediaPlayer: cleanDrmObj: mDrmObj=null mDrmSessionId=null
11-22 18:12:12.798  5264  5264 V MediaPlayer: resetDrmState:  mDrmInfo=null mDrmProvisioningThread=null mPrepareDrmInProgress=false mActiveDrmScheme=false
11-22 18:12:12.798  5264  5264 V MediaPlayer: cleanDrmObj: mDrmObj=null mDrmSessionId=null
11-22 18:12:12.798 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:12.798Z exchanges.ts INFO using existing exchange info
11-22 18:12:13.046 28117 28134 D akono-jni.cpp: native listener: sending success response for getWithdrawalDetailsForUri (93)
11-22 18:12:13.047 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:   "operation": "getWithdrawalDetailsForUri",
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:   "id": 93,
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:     "amount": "KUDOS:5",
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:     "defaultExchangeBaseUrl": "https:\/\/exchange.demo.taler.net\/",
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:     "possibleExchanges": [
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:       {
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/bitcoin.ice.bfh.ch\/",
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         "currency": "BITCOINBTC",
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         "tosStatus": "accepted",
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         "paytoUris": [
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:           "payto:\/\/bitcoin\/bc1q2u448s4zay6u6l4vucaye4l75vwzd629hhu5qx"
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         ],
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         "exchangeStatus": "ok",
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         "permanent": true,
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         "ageRestrictionOptions": []
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:       },
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:       {
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/exchange.demo.taler.net\/",
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         "currency": "KUDOS",
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         "tosStatus": "new",
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         "paytoUris": [
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:           "payto:\/\/iban\/SANDBOXX\/DE159593?receiver-name=Exchange+Company"
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         ],
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         "exchangeStatus": "ok",
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         "permanent": true,
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:         "ageRestrictionOptions": []
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:       }
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:     ]
11-22 18:12:13.047 28117 28133 V taler-wallet-backend:   }
11-22 18:12:13.047 28117 28133 V taler-wallet-backend: }
11-22 18:12:13.048  5264  5264 I WalletBackendApi: got reply for operation getWithdrawalDetailsForUri (154)
11-22 18:12:13.049  5264  5285 I WalletBackendApi: sending request for operation getWithdrawalDetailsForAmount (155)
11-22 18:12:13.049 28117 28117 I taler-wallet-backend: got request for operation getWithdrawalDetailsForAmount
11-22 18:12:13.050 28117 28117 I taler-wallet-backend: mapping service request ID 94 to client request ID 155
11-22 18:12:13.051 28117 28134 D akono-jni.cpp: native listener: got request for getWithdrawalDetailsForAmount (94)
11-22 18:12:13.053 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:13.053Z exchanges.ts INFO updating exchange info for https://exchange.demo.taler.net/, forced: false
11-22 18:12:13.093 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:13.092Z exchanges.ts INFO using existing exchange info
11-22 18:12:13.182 28117 28134 D akono-jni.cpp: handling request for module /vmod/@gnu-taler/taler-wallet-embedded
11-22 18:12:13.182 28117 28134 D akono-jni.cpp: module not found in modmap /vmod/@gnu-taler/taler-wallet-embedded
11-22 18:12:13.184 28117 28134 D akono-jni.cpp: handling request for module @gnu-taler/taler-wallet-embedded
11-22 18:12:13.184 28117 28134 D akono-jni.cpp: found module in modmap @gnu-taler/taler-wallet-embedded
11-22 18:12:13.184 28117 28134 D akono-jni.cpp: could not load from /vmod/@gnu-taler/taler-wallet-embedded
11-22 18:12:13.573 28117 28134 D akono-jni.cpp: native listener: sending success response for getWithdrawalDetailsForAmount (94)
11-22 18:12:13.574 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:13.574 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:13.574 28117 28133 V taler-wallet-backend:   "operation": "getWithdrawalDetailsForAmount",
11-22 18:12:13.574 28117 28133 V taler-wallet-backend:   "id": 94,
11-22 18:12:13.574 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:13.574 28117 28133 V taler-wallet-backend:     "amountRaw": "KUDOS:5",
11-22 18:12:13.574 28117 28133 V taler-wallet-backend:     "amountEffective": "KUDOS:4.8",
11-22 18:12:13.574 28117 28133 V taler-wallet-backend:     "paytoUris": [
11-22 18:12:13.574 28117 28133 V taler-wallet-backend:       "payto:\/\/iban\/SANDBOXX\/DE159593?receiver-name=Exchange+Company"
11-22 18:12:13.574 28117 28133 V taler-wallet-backend:     ],
11-22 18:12:13.574 28117 28133 V taler-wallet-backend:     "tosAccepted": false
11-22 18:12:13.574 28117 28133 V taler-wallet-backend:   }
11-22 18:12:13.574 28117 28133 V taler-wallet-backend: }
11-22 18:12:13.581  5264  5264 I WalletBackendApi: got reply for operation getWithdrawalDetailsForAmount (155)
11-22 18:12:13.582  5264  5285 I WalletBackendApi: sending request for operation getExchangeTos (156)
11-22 18:12:13.582 28117 28117 I taler-wallet-backend: got request for operation getExchangeTos
11-22 18:12:13.583 28117 28117 I taler-wallet-backend: mapping service request ID 95 to client request ID 156
11-22 18:12:13.584 28117 28134 D akono-jni.cpp: native listener: got request for getExchangeTos (95)
11-22 18:12:13.586 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:13.586Z exchanges.ts INFO updating exchange info for https://exchange.demo.taler.net/, forced: false
11-22 18:12:13.627 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:13.627Z exchanges.ts INFO using existing exchange info
11-22 18:12:13.668 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:13.668Z exchanges.ts INFO downloading exchange tos (type text/plain)
11-22 18:12:13.793 28117 28134 D akono-jni.cpp: native listener: sending success response for getExchangeTos (95)
11-22 18:12:13.796 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:13.796 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:13.796 28117 28133 V taler-wallet-backend:   "operation": "getExchangeTos",
11-22 18:12:13.796 28117 28133 V taler-wallet-backend:   "id": 95,
11-22 18:12:13.796 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:13.796 28117 28133 V taler-wallet-backend:     "currentEtag": "tos",
11-22 18:12:13.796 28117 28133 V taler-wallet-backend:     "content": "Terms Of Service\n****************\n\nLast Updated: 12.4.2019\n\nWelcome! Taler Systems SA (“we,” “our,” or “us”) provides a payment\nservice through our Internet presence (collectively the “Services”).\nBefore using our Services, please read the Terms of Service (the\n“Terms” or the “Agreement”) carefully.\n\n\nOverview\n========\n\nThis section provides a brief summary of the highlights of this\nAgreement. Please note that when you accept this Agreement, you are\naccepting all of the terms and conditions and not just this section.\nWe and possibly other third parties provide Internet services which\ninteract with the Taler Wallet’s self-hosted personal payment\napplication. When using the Taler Wallet to interact with our\nServices, you are agreeing to our Terms, so please read carefully.\n\n\nHighlights:\n-----------\n\n   * You are responsible for keeping the data in your Taler Wallet at\n     all times under your control. Any losses arising from you not\n     being in control of your private information are your problem.\n\n   * We will try to transfer funds we hold in escrow for our users to\n     any legal recipient to the best of our ability within the\n     limitations of the law and our implementation. However, the\n     Services offered today are highly experimental and the set of\n     recipients of funds is severely restricted.\n\n   * For our Services, we may charge transaction fees. The specific\n     fee structure is provided based on the Taler protocol and should\n     be shown to you when you withdraw electronic coins using a Taler\n     Wallet. You agree and understand that the Taler protocol allows\n     for the fee structure to change.\n\n   * You agree to not intentionally overwhelm our systems with\n     requests and follow responsible disclosure if you find security\n     issues in our services.\n\n   * We cannot be held accountable for our Services not being\n     available due to circumstances beyond our control. If we modify\n     or terminate our services, we will try to give you the\n     opportunity to recover your funds. However, given the\n     experimental state of the Services today, this may not be\n     possible. You are strongly advised to limit your use of the\n     Service to small-scale experiments expecting total loss of all\n     funds.\n\nThese terms outline approved uses of our Services. The Services and\nthese Terms are still at an experimental stage. If you have any\nquestions or comments related to this Agreement, please send us a\nmessage to legal@taler-systems.com. If you do not agree to this\nAgreement, you must not use our Services.\n\n\nHow you accept this policy\n==========================\n\nBy sending funds to us (to top-up your Taler Wallet), you acknowledge\nthat you have read, understood, and agreed to these Terms. We reserve\nthe right to change these Terms at any time. If you disagree with the\nchange, we may in the future offer you with an easy option to recover\nyour unspent funds. However, in the current experimental period you\nacknowledge that this feature is not yet available, resulting in your\nfunds being lost unless you accept the new Terms. If you continue to\nuse our Services other than to recover your unspent funds, your\ncontinued use of our Services following any such change will signify\nyour acceptance to be bound by the then current Terms. Please check\nthe effective date above to determine if there have been any changes\nsince you have last reviewed these Terms.\n\n\nServices\n========\n\nWe will try to transfer funds that we hold in escrow for our users to\nany legal recipient to the best of our ability and within the\nlimitations of the law and our implementation. However, the Services\noffered today are highly experimental and the set of recipients of\nfunds is severely restricted.  The Taler Wallet can be loaded by\nexchanging fiat currencies against electronic coins. We are providing\nthis exchange service. Once your
11-22 18:12:13.796 28117 28133 V taler-wallet-backend:     "contentType": "text\/plain",
11-22 18:12:13.796 28117 28133 V taler-wallet-backend:     "tosStatus": "new"
11-22 18:12:13.796 28117 28133 V taler-wallet-backend:   }
11-22 18:12:13.796 28117 28133 V taler-wallet-backend: }
11-22 18:12:13.815  5264  5264 I WalletBackendApi: got reply for operation getExchangeTos (156)
11-22 18:12:17.550  5264  5285 I WalletBackendApi: sending request for operation setExchangeTosAccepted (157)
11-22 18:12:17.551 28117 28117 I taler-wallet-backend: got request for operation setExchangeTosAccepted
11-22 18:12:17.552 28117 28117 I taler-wallet-backend: mapping service request ID 96 to client request ID 157
11-22 18:12:17.554 28117 28134 D akono-jni.cpp: native listener: got request for setExchangeTosAccepted (96)
11-22 18:12:17.604 28117 28134 D akono-jni.cpp: native listener: sending success response for setExchangeTosAccepted (96)
11-22 18:12:17.605 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:17.605 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:17.605 28117 28133 V taler-wallet-backend:   "operation": "setExchangeTosAccepted",
11-22 18:12:17.605 28117 28133 V taler-wallet-backend:   "id": 96,
11-22 18:12:17.605 28117 28133 V taler-wallet-backend:   "result": {}
11-22 18:12:17.605 28117 28133 V taler-wallet-backend: }
11-22 18:12:17.612  5264  5264 I WalletBackendApi: got reply for operation setExchangeTosAccepted (157)
11-22 18:12:18.550  5264  5285 I WalletBackendApi: sending request for operation acceptBankIntegratedWithdrawal (158)
11-22 18:12:18.551 28117 28117 I taler-wallet-backend: got request for operation acceptBankIntegratedWithdrawal
11-22 18:12:18.551 28117 28117 I taler-wallet-backend: mapping service request ID 97 to client request ID 158
11-22 18:12:18.554 28117 28134 D akono-jni.cpp: native listener: got request for acceptBankIntegratedWithdrawal (97)
11-22 18:12:18.559 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:18.558Z operations/withdraw.ts INFO accepting withdrawal via taler://withdraw/bank.demo.taler.net/demobanks/default/integration-api/3233e8bf-eeb6-4947-bf9a-1e1f488232df, canonicalized selected exchange https://exchange.demo.taler.net/
11-22 18:12:18.595 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:18.595Z exchanges.ts INFO updating exchange info for https://exchange.demo.taler.net/, forced: false
11-22 18:12:18.652 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:18.651Z exchanges.ts INFO using existing exchange info
11-22 18:12:18.784 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:18.783Z operations/withdraw.ts INFO bank withdrawal status URL: https://bank.demo.taler.net/demobanks/default/integration-api/withdrawal-operation/3233e8bf-eeb6-4947-bf9a-1e1f488232df}
11-22 18:12:18.866 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:18.866Z operations/withdraw.ts INFO bank withdrawal operation status: {
11-22 18:12:18.866 28117 28134 D akono-jni.cpp:   "selection_done": false,
11-22 18:12:18.866 28117 28134 D akono-jni.cpp:   "transfer_done": false,
11-22 18:12:18.866 28117 28134 D akono-jni.cpp:   "aborted": false,
11-22 18:12:18.866 28117 28134 D akono-jni.cpp:   "amount": "KUDOS:5.00",
11-22 18:12:18.866 28117 28134 D akono-jni.cpp:   "suggested_exchange": "https://exchange.demo.taler.net/",
11-22 18:12:18.866 28117 28134 D akono-jni.cpp:   "confirm_transfer_url": "https://bank.demo.taler.net/webui",
11-22 18:12:18.866 28117 28134 D akono-jni.cpp:   "wire_types": [
11-22 18:12:18.866 28117 28134 D akono-jni.cpp:     "iban"
11-22 18:12:18.866 28117 28134 D akono-jni.cpp:   ]
11-22 18:12:18.866 28117 28134 D akono-jni.cpp: }
11-22 18:12:18.943 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:18.943Z exchanges.ts INFO updating exchange info for https://exchange.demo.taler.net/, forced: false
11-22 18:12:18.982 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:18.981Z exchanges.ts INFO using existing exchange info
11-22 18:12:19.292 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:19.292Z operations/withdraw.ts INFO registering reserve with bank: {
11-22 18:12:19.292 28117 28134 D akono-jni.cpp:   "reserve_pub": "D7RYJGSBWWFVFM9000S0Q0WKYCE2AR7F9ZNYXDCE333NSA6J8FQ0",
11-22 18:12:19.292 28117 28134 D akono-jni.cpp:   "selected_exchange": "payto://iban/SANDBOXX/DE159593?receiver-name=Exchange+Company"
11-22 18:12:19.292 28117 28134 D akono-jni.cpp: }
11-22 18:12:19.445 28117 28133 V taler-wallet-backend: got back notification: {
11-22 18:12:19.445 28117 28133 V taler-wallet-backend:   "type": "notification",
11-22 18:12:19.445 28117 28133 V taler-wallet-backend:   "payload": {
11-22 18:12:19.445 28117 28133 V taler-wallet-backend:     "type": "reserve-registered-with-bank"
11-22 18:12:19.445 28117 28133 V taler-wallet-backend:   }
11-22 18:12:19.445 28117 28133 V taler-wallet-backend: }
11-22 18:12:19.446  5264  5264 I taler-wallet: Received notification from wallet-core: {
11-22 18:12:19.446  5264  5264 I taler-wallet:   "type": "reserve-registered-with-bank"
11-22 18:12:19.446  5264  5264 I taler-wallet: }
11-22 18:12:19.446  5264  5285 I WalletBackendApi: sending request for operation getBalances (159)
11-22 18:12:19.447 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:12:19.447 28117 28117 I taler-wallet-backend: mapping service request ID 98 to client request ID 159
11-22 18:12:19.460 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (98)
11-22 18:12:19.473 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (98)
11-22 18:12:19.474 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:   "id": 98,
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:       {
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:       },
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:       {
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:       }
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:     ]
11-22 18:12:19.474 28117 28133 V taler-wallet-backend:   }
11-22 18:12:19.474 28117 28133 V taler-wallet-backend: }
11-22 18:12:19.479  5264  5264 I WalletBackendApi: got reply for operation getBalances (159)
11-22 18:12:19.540 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:19.540Z operations/withdraw.ts INFO withdrawal: transfer not yet confirmed by bank
11-22 18:12:19.578 28117 28134 D akono-jni.cpp: native listener: sending success response for acceptBankIntegratedWithdrawal (97)
11-22 18:12:19.579 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:19.579 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:19.579 28117 28133 V taler-wallet-backend:   "operation": "acceptBankIntegratedWithdrawal",
11-22 18:12:19.579 28117 28133 V taler-wallet-backend:   "id": 97,
11-22 18:12:19.579 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:19.579 28117 28133 V taler-wallet-backend:     "reservePub": "D7RYJGSBWWFVFM9000S0Q0WKYCE2AR7F9ZNYXDCE333NSA6J8FQ0",
11-22 18:12:19.579 28117 28133 V taler-wallet-backend:     "confirmTransferUrl": "https:\/\/bank.demo.taler.net\/webui",
11-22 18:12:19.579 28117 28133 V taler-wallet-backend:     "transactionId": "txn:withdrawal:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20"
11-22 18:12:19.579 28117 28133 V taler-wallet-backend:   }
11-22 18:12:19.579 28117 28133 V taler-wallet-backend: }
11-22 18:12:19.580  5264  5264 I WalletBackendApi: got reply for operation acceptBankIntegratedWithdrawal (158)
11-22 18:12:19.589  5264  5285 I WalletBackendApi: sending request for operation getBalances (160)
11-22 18:12:19.589 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:12:19.590 28117 28117 I taler-wallet-backend: mapping service request ID 99 to client request ID 160
11-22 18:12:19.594 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (99)
11-22 18:12:19.600  5264  5285 I WalletBackendApi: sending request for operation getTransactions (161)
11-22 18:12:19.601 28117 28117 I taler-wallet-backend: got request for operation getTransactions
11-22 18:12:19.601 28117 28117 I taler-wallet-backend: mapping service request ID 100 to client request ID 161
11-22 18:12:19.602 28117 28134 D akono-jni.cpp: native listener: got request for getTransactions (100)
11-22 18:12:19.611 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (99)
11-22 18:12:19.612 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:   "id": 99,
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:       {
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:       },
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:       {
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:       }
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:     ]
11-22 18:12:19.612 28117 28133 V taler-wallet-backend:   }
11-22 18:12:19.612 28117 28133 V taler-wallet-backend: }
11-22 18:12:19.622  5264  5264 I WalletBackendApi: got reply for operation getBalances (160)
11-22 18:12:19.629 28117 28134 D akono-jni.cpp: native listener: sending success response for getTransactions (100)
11-22 18:12:19.630 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:   "operation": "getTransactions",
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:   "id": 100,
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:     "transactions": [
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:       {
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:         "type": "withdrawal",
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:         "amountEffective": "KUDOS:4.8",
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:         "amountRaw": "KUDOS:5",
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:         "withdrawalDetails": {
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:           "type": "taler-bank-integration-api",
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:           "confirmed": false,
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:           "reservePub": "D7RYJGSBWWFVFM9000S0Q0WKYCE2AR7F9ZNYXDCE333NSA6J8FQ0",
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:           "bankConfirmationUrl": "https:\/\/bank.demo.taler.net\/webui"
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:         },
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/exchange.demo.taler.net\/",
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:         "pending": true,
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:         "timestamp": {
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:           "t_s": 1669137138
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:         },
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:         "transactionId": "txn:withdrawal:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20",
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:         "frozen": false
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:       }
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:     ]
11-22 18:12:19.630 28117 28133 V taler-wallet-backend:   }
11-22 18:12:19.630 28117 28133 V taler-wallet-backend: }
11-22 18:12:19.631  5264  5264 I WalletBackendApi: got reply for operation getTransactions (161)
11-22 18:12:19.632  5264  5264 D DefaultSelectionTracker: Ignoring onDataSetChange. No active selection.
11-22 18:12:19.671 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:19.670Z operations/withdraw.ts INFO withdrawal: transfer not yet confirmed by bank
11-22 18:12:22.036 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:22.036Z operations/withdraw.ts INFO withdrawal: transfer not yet confirmed by bank
11-22 18:12:22.118 28117 28133 V taler-wallet-backend: got back notification: {
11-22 18:12:22.118 28117 28133 V taler-wallet-backend:   "type": "notification",
11-22 18:12:22.118 28117 28133 V taler-wallet-backend:   "payload": {
11-22 18:12:22.118 28117 28133 V taler-wallet-backend:     "type": "pending-operation-processed",
11-22 18:12:22.118 28117 28133 V taler-wallet-backend:     "id": "withdraw:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20"
11-22 18:12:22.118 28117 28133 V taler-wallet-backend:   }
11-22 18:12:22.118 28117 28133 V taler-wallet-backend: }
11-22 18:12:22.120  5264  5264 I taler-wallet: Received notification from wallet-core: {
11-22 18:12:22.120  5264  5264 I taler-wallet:   "type": "pending-operation-processed",
11-22 18:12:22.120  5264  5264 I taler-wallet:   "id": "withdraw:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20"
11-22 18:12:22.120  5264  5264 I taler-wallet: }
11-22 18:12:22.121  5264  5285 I WalletBackendApi: sending request for operation getBalances (162)
11-22 18:12:22.121 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:12:22.122 28117 28117 I taler-wallet-backend: mapping service request ID 101 to client request ID 162
11-22 18:12:22.122 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:22.122Z operations/withdraw.ts INFO withdrawal group already in long-polling, returning!
11-22 18:12:22.127 28117 28133 V taler-wallet-backend: got back notification: {
11-22 18:12:22.127 28117 28133 V taler-wallet-backend:   "type": "notification",
11-22 18:12:22.127 28117 28133 V taler-wallet-backend:   "payload": {
11-22 18:12:22.127 28117 28133 V taler-wallet-backend:     "type": "pending-operation-processed",
11-22 18:12:22.127 28117 28133 V taler-wallet-backend:     "id": "withdraw:3K7EMZ5JQ7TANK8FRWXCSH6AV5PNR5KDCH9Z7V2AG0XDY9A9NTNG"
11-22 18:12:22.127 28117 28133 V taler-wallet-backend:   }
11-22 18:12:22.127 28117 28133 V taler-wallet-backend: }
11-22 18:12:22.128  5264  5264 I taler-wallet: Received notification from wallet-core: {
11-22 18:12:22.128  5264  5264 I taler-wallet:   "type": "pending-operation-processed",
11-22 18:12:22.128  5264  5264 I taler-wallet:   "id": "withdraw:3K7EMZ5JQ7TANK8FRWXCSH6AV5PNR5KDCH9Z7V2AG0XDY9A9NTNG"
11-22 18:12:22.128  5264  5264 I taler-wallet: }
11-22 18:12:22.129  5264  5285 I WalletBackendApi: sending request for operation getBalances (163)
11-22 18:12:22.129 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:12:22.130 28117 28117 I taler-wallet-backend: mapping service request ID 102 to client request ID 163
11-22 18:12:22.142 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (101)
11-22 18:12:22.145 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (102)
11-22 18:12:22.280 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (101)
11-22 18:12:22.281 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:   "id": 101,
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:       {
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:       },
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:       {
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:       }
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:     ]
11-22 18:12:22.281 28117 28133 V taler-wallet-backend:   }
11-22 18:12:22.281 28117 28133 V taler-wallet-backend: }
11-22 18:12:22.291 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (102)
11-22 18:12:22.292 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:   "id": 102,
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:       {
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:       },
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:       {
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:       }
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:     ]
11-22 18:12:22.292 28117 28133 V taler-wallet-backend:   }
11-22 18:12:22.292 28117 28133 V taler-wallet-backend: }
11-22 18:12:22.294  5264  5264 I WalletBackendApi: got reply for operation getBalances (162)
11-22 18:12:22.295  5264  5264 I WalletBackendApi: got reply for operation getBalances (163)
11-22 18:12:27.402 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:27.401Z operations/withdraw.ts INFO withdrawal: transfer confirmed by bank.
11-22 18:12:27.486 28117 28133 V taler-wallet-backend: got back notification: {
11-22 18:12:27.486 28117 28133 V taler-wallet-backend:   "type": "notification",
11-22 18:12:27.486 28117 28133 V taler-wallet-backend:   "payload": {
11-22 18:12:27.486 28117 28133 V taler-wallet-backend:     "type": "pending-operation-processed",
11-22 18:12:27.486 28117 28133 V taler-wallet-backend:     "id": "withdraw:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20"
11-22 18:12:27.486 28117 28133 V taler-wallet-backend:   }
11-22 18:12:27.486 28117 28133 V taler-wallet-backend: }
11-22 18:12:27.489  5264  5264 I taler-wallet: Received notification from wallet-core: {
11-22 18:12:27.489  5264  5264 I taler-wallet:   "type": "pending-operation-processed",
11-22 18:12:27.489  5264  5264 I taler-wallet:   "id": "withdraw:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20"
11-22 18:12:27.489  5264  5264 I taler-wallet: }
11-22 18:12:27.490  5264  5285 I WalletBackendApi: sending request for operation getBalances (164)
11-22 18:12:27.490 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:27.490Z operations/withdraw.ts INFO withdrawal group already in long-polling, returning!
11-22 18:12:27.491 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:12:27.491 28117 28117 I taler-wallet-backend: mapping service request ID 103 to client request ID 164
11-22 18:12:27.492 28117 28133 V taler-wallet-backend: got back notification: {
11-22 18:12:27.492 28117 28133 V taler-wallet-backend:   "type": "notification",
11-22 18:12:27.492 28117 28133 V taler-wallet-backend:   "payload": {
11-22 18:12:27.492 28117 28133 V taler-wallet-backend:     "type": "pending-operation-processed",
11-22 18:12:27.492 28117 28133 V taler-wallet-backend:     "id": "withdraw:3K7EMZ5JQ7TANK8FRWXCSH6AV5PNR5KDCH9Z7V2AG0XDY9A9NTNG"
11-22 18:12:27.492 28117 28133 V taler-wallet-backend:   }
11-22 18:12:27.492 28117 28133 V taler-wallet-backend: }
11-22 18:12:27.494  5264  5264 I taler-wallet: Received notification from wallet-core: {
11-22 18:12:27.494  5264  5264 I taler-wallet:   "type": "pending-operation-processed",
11-22 18:12:27.494  5264  5264 I taler-wallet:   "id": "withdraw:3K7EMZ5JQ7TANK8FRWXCSH6AV5PNR5KDCH9Z7V2AG0XDY9A9NTNG"
11-22 18:12:27.494  5264  5264 I taler-wallet: }
11-22 18:12:27.495  5264  5285 I WalletBackendApi: sending request for operation getBalances (165)
11-22 18:12:27.495 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (103)
11-22 18:12:27.495 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:12:27.496 28117 28117 I taler-wallet-backend: mapping service request ID 104 to client request ID 165
11-22 18:12:27.498 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (104)
11-22 18:12:27.565 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (103)
11-22 18:12:27.566 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:   "id": 103,
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:       {
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:       },
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:       {
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:       }
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:     ]
11-22 18:12:27.566 28117 28133 V taler-wallet-backend:   }
11-22 18:12:27.566 28117 28133 V taler-wallet-backend: }
11-22 18:12:27.573  5264  5264 I WalletBackendApi: got reply for operation getBalances (164)
11-22 18:12:27.576 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (104)
11-22 18:12:27.577 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:   "id": 104,
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:       {
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:       },
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:       {
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:       }
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:     ]
11-22 18:12:27.577 28117 28133 V taler-wallet-backend:   }
11-22 18:12:27.577 28117 28133 V taler-wallet-backend: }
11-22 18:12:27.579 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:27.579Z operations/withdraw.ts INFO withdrawal group already in long-polling, returning!
11-22 18:12:27.581 28117 28133 V taler-wallet-backend: got back notification: {
11-22 18:12:27.581 28117 28133 V taler-wallet-backend:   "type": "notification",
11-22 18:12:27.581 28117 28133 V taler-wallet-backend:   "payload": {
11-22 18:12:27.581 28117 28133 V taler-wallet-backend:     "type": "pending-operation-processed",
11-22 18:12:27.581 28117 28133 V taler-wallet-backend:     "id": "withdraw:3K7EMZ5JQ7TANK8FRWXCSH6AV5PNR5KDCH9Z7V2AG0XDY9A9NTNG"
11-22 18:12:27.581 28117 28133 V taler-wallet-backend:   }
11-22 18:12:27.581 28117 28133 V taler-wallet-backend: }
11-22 18:12:27.589 28117 28133 V taler-wallet-backend: got back notification: {
11-22 18:12:27.589 28117 28133 V taler-wallet-backend:   "type": "notification",
11-22 18:12:27.589 28117 28133 V taler-wallet-backend:   "payload": {
11-22 18:12:27.589 28117 28133 V taler-wallet-backend:     "type": "pending-operation-processed",
11-22 18:12:27.589 28117 28133 V taler-wallet-backend:     "id": "withdraw:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20"
11-22 18:12:27.589 28117 28133 V taler-wallet-backend:   }
11-22 18:12:27.589 28117 28133 V taler-wallet-backend: }
11-22 18:12:27.590  5264  5264 I WalletBackendApi: got reply for operation getBalances (165)
11-22 18:12:27.591  5264  5264 I taler-wallet: Received notification from wallet-core: {
11-22 18:12:27.591  5264  5264 I taler-wallet:   "type": "pending-operation-processed",
11-22 18:12:27.591  5264  5264 I taler-wallet:   "id": "withdraw:3K7EMZ5JQ7TANK8FRWXCSH6AV5PNR5KDCH9Z7V2AG0XDY9A9NTNG"
11-22 18:12:27.591  5264  5264 I taler-wallet: }
11-22 18:12:27.591  5264  5285 I WalletBackendApi: sending request for operation getBalances (166)
11-22 18:12:27.591  5264  5264 I taler-wallet: Received notification from wallet-core: {
11-22 18:12:27.591  5264  5264 I taler-wallet:   "type": "pending-operation-processed",
11-22 18:12:27.591  5264  5264 I taler-wallet:   "id": "withdraw:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20"
11-22 18:12:27.591  5264  5264 I taler-wallet: }
11-22 18:12:27.592  5264  5285 I WalletBackendApi: sending request for operation getBalances (167)
11-22 18:12:27.592 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:12:27.592 28117 28117 I taler-wallet-backend: mapping service request ID 105 to client request ID 166
11-22 18:12:27.592 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:12:27.593 28117 28117 I taler-wallet-backend: mapping service request ID 106 to client request ID 167
11-22 18:12:27.593 28117 28134 D akono-jni.cpp: 2022-11-22T17:12:27.593Z operations/withdraw.ts INFO querying reserve status via https://exchange.demo.taler.net/reserves/D7RYJGSBWWFVFM9000S0Q0WKYCE2AR7F9ZNYXDCE333NSA6J8FQ0?timeout_ms=30000
11-22 18:12:27.604 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (105)
11-22 18:12:27.606 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (106)
11-22 18:12:27.680 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (105)
11-22 18:12:27.681 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:   "id": 105,
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:       {
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:       },
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:       {
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:       }
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:     ]
11-22 18:12:27.681 28117 28133 V taler-wallet-backend:   }
11-22 18:12:27.681 28117 28133 V taler-wallet-backend: }
11-22 18:12:27.681  5264  5264 I WalletBackendApi: got reply for operation getBalances (166)
11-22 18:12:27.688 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (106)
11-22 18:12:27.689 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:   "id": 106,
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:       {
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:       },
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:       {
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:       }
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:     ]
11-22 18:12:27.689 28117 28133 V taler-wallet-backend:   }
11-22 18:12:27.689 28117 28133 V taler-wallet-backend: }
11-22 18:12:27.690  5264  5264 I WalletBackendApi: got reply for operation getBalances (167)
11-22 18:12:57.800 28117 28133 V taler-wallet-backend: got back notification: {
11-22 18:12:57.800 28117 28133 V taler-wallet-backend:   "type": "notification",
11-22 18:12:57.800 28117 28133 V taler-wallet-backend:   "payload": {
11-22 18:12:57.800 28117 28133 V taler-wallet-backend:     "type": "reserve-not-yet-found",
11-22 18:12:57.800 28117 28133 V taler-wallet-backend:     "reservePub": "D7RYJGSBWWFVFM9000S0Q0WKYCE2AR7F9ZNYXDCE333NSA6J8FQ0"
11-22 18:12:57.800 28117 28133 V taler-wallet-backend:   }
11-22 18:12:57.800 28117 28133 V taler-wallet-backend: }
11-22 18:12:57.801  5264  5264 I taler-wallet: Received notification from wallet-core: {
11-22 18:12:57.801  5264  5264 I taler-wallet:   "type": "reserve-not-yet-found",
11-22 18:12:57.801  5264  5264 I taler-wallet:   "reservePub": "D7RYJGSBWWFVFM9000S0Q0WKYCE2AR7F9ZNYXDCE333NSA6J8FQ0"
11-22 18:12:57.801  5264  5264 I taler-wallet: }
11-22 18:12:57.802  5264  5285 I WalletBackendApi: sending request for operation getBalances (168)
11-22 18:12:57.803 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:12:57.804 28117 28117 I taler-wallet-backend: mapping service request ID 107 to client request ID 168
11-22 18:12:57.807 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (107)
11-22 18:12:57.888 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (107)
11-22 18:12:57.889 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:   "id": 107,
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:       {
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:       },
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:       {
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:       }
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:     ]
11-22 18:12:57.889 28117 28133 V taler-wallet-backend:   }
11-22 18:12:57.889 28117 28133 V taler-wallet-backend: }
11-22 18:12:57.894  5264  5264 I WalletBackendApi: got reply for operation getBalances (168)
11-22 18:13:03.115 28117 28134 D akono-jni.cpp: 2022-11-22T17:13:03.114Z operations/withdraw.ts INFO withdrawal group already in long-polling, returning!
11-22 18:13:03.116 28117 28133 V taler-wallet-backend: got back notification: {
11-22 18:13:03.116 28117 28133 V taler-wallet-backend:   "type": "notification",
11-22 18:13:03.116 28117 28133 V taler-wallet-backend:   "payload": {
11-22 18:13:03.116 28117 28133 V taler-wallet-backend:     "type": "pending-operation-processed",
11-22 18:13:03.116 28117 28133 V taler-wallet-backend:     "id": "withdraw:3K7EMZ5JQ7TANK8FRWXCSH6AV5PNR5KDCH9Z7V2AG0XDY9A9NTNG"
11-22 18:13:03.116 28117 28133 V taler-wallet-backend:   }
11-22 18:13:03.116 28117 28133 V taler-wallet-backend: }
11-22 18:13:03.118  5264  5264 I taler-wallet: Received notification from wallet-core: {
11-22 18:13:03.118  5264  5264 I taler-wallet:   "type": "pending-operation-processed",
11-22 18:13:03.118  5264  5264 I taler-wallet:   "id": "withdraw:3K7EMZ5JQ7TANK8FRWXCSH6AV5PNR5KDCH9Z7V2AG0XDY9A9NTNG"
11-22 18:13:03.118  5264  5264 I taler-wallet: }
11-22 18:13:03.118  5264  5285 I WalletBackendApi: sending request for operation getBalances (169)
11-22 18:13:03.119 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:13:03.120 28117 28117 I taler-wallet-backend: mapping service request ID 108 to client request ID 169
11-22 18:13:03.122 28117 28133 V taler-wallet-backend: got back notification: {
11-22 18:13:03.122 28117 28133 V taler-wallet-backend:   "type": "notification",
11-22 18:13:03.122 28117 28133 V taler-wallet-backend:   "payload": {
11-22 18:13:03.122 28117 28133 V taler-wallet-backend:     "type": "pending-operation-processed",
11-22 18:13:03.122 28117 28133 V taler-wallet-backend:     "id": "withdraw:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20"
11-22 18:13:03.122 28117 28133 V taler-wallet-backend:   }
11-22 18:13:03.122 28117 28133 V taler-wallet-backend: }
11-22 18:13:03.125 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (108)
11-22 18:13:03.125  5264  5264 I taler-wallet: Received notification from wallet-core: {
11-22 18:13:03.125  5264  5264 I taler-wallet:   "type": "pending-operation-processed",
11-22 18:13:03.125  5264  5264 I taler-wallet:   "id": "withdraw:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20"
11-22 18:13:03.125  5264  5264 I taler-wallet: }
11-22 18:13:03.125  5264  5285 I WalletBackendApi: sending request for operation getBalances (170)
11-22 18:13:03.128 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:13:03.129 28117 28117 I taler-wallet-backend: mapping service request ID 109 to client request ID 170
11-22 18:13:03.129 28117 28134 D akono-jni.cpp: 2022-11-22T17:13:03.129Z operations/withdraw.ts INFO querying reserve status via https://exchange.demo.taler.net/reserves/D7RYJGSBWWFVFM9000S0Q0WKYCE2AR7F9ZNYXDCE333NSA6J8FQ0?timeout_ms=30000
11-22 18:13:03.141 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (109)
11-22 18:13:03.211 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (108)
11-22 18:13:03.212 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:   "id": 108,
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:       {
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:       },
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:       {
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:       }
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:     ]
11-22 18:13:03.212 28117 28133 V taler-wallet-backend:   }
11-22 18:13:03.212 28117 28133 V taler-wallet-backend: }
11-22 18:13:03.223  5264  5264 I WalletBackendApi: got reply for operation getBalances (169)
11-22 18:13:03.227 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (109)
11-22 18:13:03.228 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:   "id": 109,
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:       {
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:       },
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:       {
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:       }
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:     ]
11-22 18:13:03.228 28117 28133 V taler-wallet-backend:   }
11-22 18:13:03.228 28117 28133 V taler-wallet-backend: }
11-22 18:13:03.239  5264  5264 I WalletBackendApi: got reply for operation getBalances (170)
11-22 18:13:12.155  5264  5285 I WalletBackendApi: sending request for operation getBalances (171)
11-22 18:13:12.156 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:13:12.158 28117 28117 I taler-wallet-backend: mapping service request ID 110 to client request ID 171
11-22 18:13:12.162 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (110)
11-22 18:13:12.172 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (110)
11-22 18:13:12.173 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:   "id": 110,
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:       {
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:       },
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:       {
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:       }
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:     ]
11-22 18:13:12.173 28117 28133 V taler-wallet-backend:   }
11-22 18:13:12.173 28117 28133 V taler-wallet-backend: }
11-22 18:13:12.176  5264  5264 I WalletBackendApi: got reply for operation getBalances (171)
11-22 18:13:33.332 28117 28133 V taler-wallet-backend: got back notification: {
11-22 18:13:33.332 28117 28133 V taler-wallet-backend:   "type": "notification",
11-22 18:13:33.332 28117 28133 V taler-wallet-backend:   "payload": {
11-22 18:13:33.332 28117 28133 V taler-wallet-backend:     "type": "reserve-not-yet-found",
11-22 18:13:33.332 28117 28133 V taler-wallet-backend:     "reservePub": "D7RYJGSBWWFVFM9000S0Q0WKYCE2AR7F9ZNYXDCE333NSA6J8FQ0"
11-22 18:13:33.332 28117 28133 V taler-wallet-backend:   }
11-22 18:13:33.332 28117 28133 V taler-wallet-backend: }
11-22 18:13:33.333  5264  5264 I taler-wallet: Received notification from wallet-core: {
11-22 18:13:33.333  5264  5264 I taler-wallet:   "type": "reserve-not-yet-found",
11-22 18:13:33.333  5264  5264 I taler-wallet:   "reservePub": "D7RYJGSBWWFVFM9000S0Q0WKYCE2AR7F9ZNYXDCE333NSA6J8FQ0"
11-22 18:13:33.333  5264  5264 I taler-wallet: }
11-22 18:13:33.334  5264  5285 I WalletBackendApi: sending request for operation getBalances (172)
11-22 18:13:33.334 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:13:33.335 28117 28117 I taler-wallet-backend: mapping service request ID 111 to client request ID 172
11-22 18:13:33.339 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (111)
11-22 18:13:33.405 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (111)
11-22 18:13:33.406 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:   "id": 111,
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:       {
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:       },
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:       {
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:       }
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:     ]
11-22 18:13:33.406 28117 28133 V taler-wallet-backend:   }
11-22 18:13:33.406 28117 28133 V taler-wallet-backend: }
11-22 18:13:33.419  5264  5264 I WalletBackendApi: got reply for operation getBalances (172)
11-22 18:13:36.716  5264  5264 D DefaultSelectionTracker: Ignoring onDataSetChange. No active selection.
11-22 18:13:36.717  5264  5285 I WalletBackendApi: sending request for operation getTransactions (173)
11-22 18:13:36.717 28117 28117 I taler-wallet-backend: got request for operation getTransactions
11-22 18:13:36.718 28117 28117 I taler-wallet-backend: mapping service request ID 112 to client request ID 173
11-22 18:13:36.722 28117 28134 D akono-jni.cpp: native listener: got request for getTransactions (112)
11-22 18:13:36.740 28117 28134 D akono-jni.cpp: native listener: sending success response for getTransactions (112)
11-22 18:13:36.741 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:   "operation": "getTransactions",
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:   "id": 112,
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:     "transactions": [
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:       {
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:         "type": "withdrawal",
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:         "amountEffective": "KUDOS:4.8",
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:         "amountRaw": "KUDOS:5",
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:         "withdrawalDetails": {
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:           "type": "taler-bank-integration-api",
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:           "confirmed": true,
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:           "reservePub": "D7RYJGSBWWFVFM9000S0Q0WKYCE2AR7F9ZNYXDCE333NSA6J8FQ0",
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:           "bankConfirmationUrl": "https:\/\/bank.demo.taler.net\/webui"
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:         },
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/exchange.demo.taler.net\/",
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:         "pending": true,
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:         "timestamp": {
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:           "t_s": 1669137138
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:         },
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:         "transactionId": "txn:withdrawal:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20",
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:         "frozen": false
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:       }
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:     ]
11-22 18:13:36.741 28117 28133 V taler-wallet-backend:   }
11-22 18:13:36.741 28117 28133 V taler-wallet-backend: }
11-22 18:13:36.743  5264  5264 I WalletBackendApi: got reply for operation getTransactions (173)
11-22 18:13:36.744  5264  5264 D DefaultSelectionTracker: Ignoring onDataSetChange. No active selection.
11-22 18:13:38.718 28117 28134 D akono-jni.cpp: 2022-11-22T17:13:38.718Z operations/withdraw.ts INFO withdrawal group already in long-polling, returning!
11-22 18:13:38.720 28117 28133 V taler-wallet-backend: got back notification: {
11-22 18:13:38.720 28117 28133 V taler-wallet-backend:   "type": "notification",
11-22 18:13:38.720 28117 28133 V taler-wallet-backend:   "payload": {
11-22 18:13:38.720 28117 28133 V taler-wallet-backend:     "type": "pending-operation-processed",
11-22 18:13:38.720 28117 28133 V taler-wallet-backend:     "id": "withdraw:3K7EMZ5JQ7TANK8FRWXCSH6AV5PNR5KDCH9Z7V2AG0XDY9A9NTNG"
11-22 18:13:38.720 28117 28133 V taler-wallet-backend:   }
11-22 18:13:38.720 28117 28133 V taler-wallet-backend: }
11-22 18:13:38.722  5264  5264 I taler-wallet: Received notification from wallet-core: {
11-22 18:13:38.722  5264  5264 I taler-wallet:   "type": "pending-operation-processed",
11-22 18:13:38.722  5264  5264 I taler-wallet:   "id": "withdraw:3K7EMZ5JQ7TANK8FRWXCSH6AV5PNR5KDCH9Z7V2AG0XDY9A9NTNG"
11-22 18:13:38.722  5264  5264 I taler-wallet: }
11-22 18:13:38.722  5264  5285 I WalletBackendApi: sending request for operation getBalances (174)
11-22 18:13:38.723 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:13:38.723 28117 28117 I taler-wallet-backend: mapping service request ID 113 to client request ID 174
11-22 18:13:38.726 28117 28133 V taler-wallet-backend: got back notification: {
11-22 18:13:38.726 28117 28133 V taler-wallet-backend:   "type": "notification",
11-22 18:13:38.726 28117 28133 V taler-wallet-backend:   "payload": {
11-22 18:13:38.726 28117 28133 V taler-wallet-backend:     "type": "pending-operation-processed",
11-22 18:13:38.726 28117 28133 V taler-wallet-backend:     "id": "withdraw:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20"
11-22 18:13:38.726 28117 28133 V taler-wallet-backend:   }
11-22 18:13:38.726 28117 28133 V taler-wallet-backend: }
11-22 18:13:38.729 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (113)
11-22 18:13:38.733  5264  5264 I taler-wallet: Received notification from wallet-core: {
11-22 18:13:38.733  5264  5264 I taler-wallet:   "type": "pending-operation-processed",
11-22 18:13:38.733  5264  5264 I taler-wallet:   "id": "withdraw:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20"
11-22 18:13:38.733  5264  5264 I taler-wallet: }
11-22 18:13:38.733  5264  5285 I WalletBackendApi: sending request for operation getBalances (175)
11-22 18:13:38.734 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:13:38.734 28117 28117 I taler-wallet-backend: mapping service request ID 114 to client request ID 175
11-22 18:13:38.736 28117 28134 D akono-jni.cpp: 2022-11-22T17:13:38.736Z operations/withdraw.ts INFO querying reserve status via https://exchange.demo.taler.net/reserves/D7RYJGSBWWFVFM9000S0Q0WKYCE2AR7F9ZNYXDCE333NSA6J8FQ0?timeout_ms=30000
11-22 18:13:38.775 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (114)
11-22 18:13:38.945 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (113)
11-22 18:13:38.946 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:   "id": 113,
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:       {
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:       },
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:       {
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:       }
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:     ]
11-22 18:13:38.946 28117 28133 V taler-wallet-backend:   }
11-22 18:13:38.946 28117 28133 V taler-wallet-backend: }
11-22 18:13:38.950  5264  5264 I WalletBackendApi: got reply for operation getBalances (174)
11-22 18:13:38.958 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (114)
11-22 18:13:38.959 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:   "id": 114,
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:       {
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:       },
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:       {
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:       }
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:     ]
11-22 18:13:38.959 28117 28133 V taler-wallet-backend:   }
11-22 18:13:38.959 28117 28133 V taler-wallet-backend: }
11-22 18:13:38.966  5264  5264 I WalletBackendApi: got reply for operation getBalances (175)
11-22 18:13:40.072  5264  5285 I WalletBackendApi: sending request for operation getBalances (176)
11-22 18:13:40.073 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:13:40.073 28117 28117 I taler-wallet-backend: mapping service request ID 115 to client request ID 176
11-22 18:13:40.077 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (115)
11-22 18:13:40.092 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (115)
11-22 18:13:40.093 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:   "id": 115,
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:       {
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:       },
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:       {
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:       }
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:     ]
11-22 18:13:40.093 28117 28133 V taler-wallet-backend:   }
11-22 18:13:40.093 28117 28133 V taler-wallet-backend: }
11-22 18:13:40.099  5264  5264 I WalletBackendApi: got reply for operation getBalances (176)
11-22 18:13:47.542  5264  5264 D DefaultSelectionTracker: Ignoring onDataSetChange. No active selection.
11-22 18:13:47.543  5264  5285 I WalletBackendApi: sending request for operation getTransactions (177)
11-22 18:13:47.543 28117 28117 I taler-wallet-backend: got request for operation getTransactions
11-22 18:13:47.544 28117 28117 I taler-wallet-backend: mapping service request ID 116 to client request ID 177
11-22 18:13:47.546 28117 28134 D akono-jni.cpp: native listener: got request for getTransactions (116)
11-22 18:13:47.569 28117 28134 D akono-jni.cpp: native listener: sending success response for getTransactions (116)
11-22 18:13:47.570 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:   "operation": "getTransactions",
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:   "id": 116,
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:     "transactions": [
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:       {
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:         "type": "withdrawal",
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:         "amountEffective": "KUDOS:4.8",
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:         "amountRaw": "KUDOS:5",
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:         "withdrawalDetails": {
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:           "type": "taler-bank-integration-api",
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:           "confirmed": true,
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:           "reservePub": "D7RYJGSBWWFVFM9000S0Q0WKYCE2AR7F9ZNYXDCE333NSA6J8FQ0",
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:           "bankConfirmationUrl": "https:\/\/bank.demo.taler.net\/webui"
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:         },
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/exchange.demo.taler.net\/",
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:         "pending": true,
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:         "timestamp": {
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:           "t_s": 1669137138
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:         },
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:         "transactionId": "txn:withdrawal:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20",
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:         "frozen": false
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:       }
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:     ]
11-22 18:13:47.570 28117 28133 V taler-wallet-backend:   }
11-22 18:13:47.570 28117 28133 V taler-wallet-backend: }
11-22 18:13:47.570  5264  5264 I WalletBackendApi: got reply for operation getTransactions (177)
11-22 18:13:47.571  5264  5264 D DefaultSelectionTracker: Ignoring onDataSetChange. No active selection.
11-22 18:13:52.502  5264  5285 I WalletBackendApi: sending request for operation getBalances (178)
11-22 18:13:52.502 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:13:52.503 28117 28117 I taler-wallet-backend: mapping service request ID 117 to client request ID 178
11-22 18:13:52.507 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (117)
11-22 18:13:52.518 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (117)
11-22 18:13:52.519 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:   "id": 117,
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:       {
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:       },
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:       {
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:       }
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:     ]
11-22 18:13:52.519 28117 28133 V taler-wallet-backend:   }
11-22 18:13:52.519 28117 28133 V taler-wallet-backend: }
11-22 18:13:52.525  5264  5264 I WalletBackendApi: got reply for operation getBalances (178)
11-22 18:14:09.072 28117 28133 V taler-wallet-backend: got back notification: {
11-22 18:14:09.072 28117 28133 V taler-wallet-backend:   "type": "notification",
11-22 18:14:09.072 28117 28133 V taler-wallet-backend:   "payload": {
11-22 18:14:09.072 28117 28133 V taler-wallet-backend:     "type": "reserve-not-yet-found",
11-22 18:14:09.072 28117 28133 V taler-wallet-backend:     "reservePub": "D7RYJGSBWWFVFM9000S0Q0WKYCE2AR7F9ZNYXDCE333NSA6J8FQ0"
11-22 18:14:09.072 28117 28133 V taler-wallet-backend:   }
11-22 18:14:09.072 28117 28133 V taler-wallet-backend: }
11-22 18:14:09.073  5264  5264 I taler-wallet: Received notification from wallet-core: {
11-22 18:14:09.073  5264  5264 I taler-wallet:   "type": "reserve-not-yet-found",
11-22 18:14:09.073  5264  5264 I taler-wallet:   "reservePub": "D7RYJGSBWWFVFM9000S0Q0WKYCE2AR7F9ZNYXDCE333NSA6J8FQ0"
11-22 18:14:09.073  5264  5264 I taler-wallet: }
11-22 18:14:09.074  5264  5264 I WalletBackendApi: sending request for operation getPendingOperations (179)
11-22 18:14:09.074  5264  5285 I WalletBackendApi: sending request for operation getBalances (180)
11-22 18:14:09.075 28117 28117 I taler-wallet-backend: got request for operation getPendingOperations
11-22 18:14:09.076 28117 28117 I taler-wallet-backend: mapping service request ID 118 to client request ID 179
11-22 18:14:09.076 28117 28117 I taler-wallet-backend: got request for operation getBalances
11-22 18:14:09.076 28117 28117 I taler-wallet-backend: mapping service request ID 119 to client request ID 180
11-22 18:14:09.078 28117 28134 D akono-jni.cpp: native listener: got request for getPendingOperations (118)
11-22 18:14:09.081 28117 28134 D akono-jni.cpp: native listener: got request for getBalances (119)
11-22 18:14:09.194 28117 28134 D akono-jni.cpp: native listener: sending success response for getPendingOperations (118)
11-22 18:14:09.196 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:   "operation": "getPendingOperations",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:   "id": 118,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:     "pendingOperations": [
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:       {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "type": "exchange-update",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "id": "exchange-update:https:\/\/bitcoin.ice.bfh.ch\/",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "isDue": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "timestampDue": {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "t_ms": 1669139141000
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "isLongpolling": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "givesLifeness": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/bitcoin.ice.bfh.ch\/"
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:       },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:       {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "type": "exchange-check-refresh",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "id": "exchange-update:https:\/\/bitcoin.ice.bfh.ch\/",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "isDue": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "timestampDue": {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "t_ms": 1669221943000
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "isLongpolling": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "givesLifeness": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/bitcoin.ice.bfh.ch\/"
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:       },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:       {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "type": "exchange-update",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "id": "exchange-update:https:\/\/exchange.demo.taler.net\/",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "isDue": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "timestampDue": {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "t_ms": 1669139144000
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "isLongpolling": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "givesLifeness": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/exchange.demo.taler.net\/"
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:       },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:       {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "type": "exchange-check-refresh",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "id": "exchange-update:https:\/\/exchange.demo.taler.net\/",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "isDue": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "timestampDue": {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "t_ms": 1669221944000
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "isLongpolling": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "givesLifeness": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/exchange.demo.taler.net\/"
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:       },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:       {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "type": "withdraw",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "id": "withdraw:3K7EMZ5JQ7TANK8FRWXCSH6AV5PNR5KDCH9Z7V2AG0XDY9A9NTNG",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "isDue": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "timestampDue": {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "t_ms": 1.6690972578989062E12
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "isLongpolling": true,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "givesLifeness": true,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "withdrawalGroupId": "3K7EMZ5JQ7TANK8FRWXCSH6AV5PNR5KDCH9Z7V2AG0XDY9A9NTNG",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "lastError": {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "code": 7003,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "hint": "read ECONNABORTED",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "requestUrl": "https:\/\/bitcoin.ice.bfh.ch\/reserves\/6X73JE0FQ2EAZN0XD1RDZHT49NKW9AQ25SRG52PV60243ZQDZ8AG?timeout_ms=30000",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "requestMethod": "GET"
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "retryInfo": {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "firstTry": {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:             "t_ms": 1669061245067
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "nextRetry": {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:             "t_ms": 1.6690972578989062E12
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "retryCounter": 8
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         }
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:       },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:       {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "type": "withdraw",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "id": "withdraw:ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "isDue": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "timestampDue": {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "t_ms": 1669137251325
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "isLongpolling": false,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "givesLifeness": true,
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "withdrawalGroupId": "ZTQXXJ8HYTCPCQ37KNGYXBWXSPSMN69A2SFYZR20W36R6S8C7D20",
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         "retryInfo": {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "firstTry": {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:             "t_ms": 1669137177803
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "nextRetry": {
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:             "t_ms": 1669137251325
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           },
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:           "retryCounter": 2
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:         }
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:       }
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:     ]
11-22 18:14:09.196 28117 28133 V taler-wallet-backend:   }
11-22 18:14:09.196 28117 28133 V taler-wallet-backend: }
11-22 18:14:09.204 28117 28134 D akono-jni.cpp: native listener: sending success response for getBalances (119)
11-22 18:14:09.205 28117 28133 V taler-wallet-backend: got back response: {
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:   "type": "response",
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:   "operation": "getBalances",
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:   "id": 119,
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:   "result": {
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:     "balances": [
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:       {
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:         "available": "BITCOINBTC:0",
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:         "pendingIncoming": "BITCOINBTC:0.00099992",
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "BITCOINBTC:0",
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:       },
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:       {
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:         "available": "KUDOS:0",
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:         "pendingIncoming": "KUDOS:4.8",
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:         "hasPendingTransactions": false,
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:         "requiresUserInput": false
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:       }
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:     ]
11-22 18:14:09.205 28117 28133 V taler-wallet-backend:   }
11-22 18:14:09.205 28117 28133 V taler-wallet-backend: }
11-22 18:14:09.207  5264  5264 I WalletBackendApi: got reply for operation getPendingOperations (179)
11-22 18:14:09.208  5264  5264 I taler-wallet: got getPending result
11-22 18:14:09.208  5264  5264 I taler-wallet: Got 6 pending operations
11-22 18:14:09.208  5264  5264 I WalletBackendApi: got reply for operation getBalances (180)
11-22 18:14:11.651  5264  5281 D OpenGLRenderer: endAllActiveAnimators on 0xb40000761e2813e0 (RippleDrawable) with handle 0xb40000752e266900
11-22 18:14:13.649  5264  5264 W OnBackInvokedCallback: OnBackInvokedCallback is not enabled for the application.
11-22 18:14:13.649  5264  5264 W OnBackInvokedCallback: Set 'android:enableOnBackInvokedCallback="true"' in the application manifest.

Issue History

Date Modified Username Field Change
2022-11-22 18:32 Christian Grothoff New Issue
2022-11-22 18:32 Christian Grothoff Status new => assigned
2022-11-22 18:32 Christian Grothoff Assigned To => grote
2022-11-22 18:32 Christian Grothoff File Added: taler-wallet-db-1669137257822.json
2022-11-22 18:32 Christian Grothoff File Added: taler-wallet-log-1669137251109.txt